﻿<%@ Page Language="C#" AutoEventWireup="true" CodeBehind="Default.aspx.cs" Inherits="JQueryAJAX._Default" %>

<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head runat="server">
	<title>jQuery Post Example</title>
	<script type="text/javascript" src="http://maps.googleapis.com/maps/api/js?sensor=false"></script>
	<script src="Scripts/jquery-1.7.2.js" type="text/javascript"></script>
	<script type="text/javascript">

		// Global Variable for the Map itself
		var gmap;

		$(document).ready(function () {
			// Initialise the map
			initialiseMap();

			// Populate the Lat/Long Fields
			getCoordinates();

			// Add a Listener to the Map to trigger when the user pans the map
			google.maps.event.addListener(gmap, 'center_changed', function () {
				// Update the Lat/Long Fields
				getCoordinates();
			});

			// Attach function to Save button
			$('#btnSave').click(function () {

				// Here we will send the coordinates to the server via the CoordinateHandler page
				$.post(
					'CoordinateHandler.aspx',
					{ Latitude: $('#txtLatitude').val(), Longitude: $('#txtLongitude').val() },
					function (responseText, textStatus) {
						// This function will execute if the post was successful
						$('#message').text('Coordinates Saved Successfully');
					})
					.error(function () {
						// This function will execute if there was an error with the post request
						// Note: jQuery 1.5 or higher required for this 
						$('#message').text('There was an Error');
					});
			});
		});

		// Initialise and configure the map
		function initialiseMap() {

			// Options array to set the initial center point, zoom level and map type.
			var myOptions = {
				center: new google.maps.LatLng(53.8693, -1.4941),
				zoom: 4,
				mapTypeId: google.maps.MapTypeId.ROADMAP
			};

			// Initialise the map and send it to the map div
			gmap = new google.maps.Map(document.getElementById("map"), myOptions);

			// Place Crosshairs Marker in centre of map
			var marker = new google.maps.Marker({
				map: gmap,
				icon: 'cross-hairs.gif'
			});

			marker.bindTo('position', gmap, 'center');
		}

		// Update the Coordinate fields with the current map center-point values
		function getCoordinates() {
			var centre = gmap.getCenter();		// Will return a LatLng object
			$('#txtLatitude').val(centre.lat());
			$('#txtLongitude').val(centre.lng());
		}

	</script>
</head>
<body>
	<div id="map" style="width: 450px; height: 300px;">
	</div>
	Latitude:
	<input id="txtLatitude" type="text" />
	Longitude:
	<input id="txtLongitude" type="text" />
	<input id="btnSave" type="button" value="Save Coordinates" />
	<div id="message">
	</div>
</body>
</html>
